Servers - Migrate Network Mode

Migrates an Azure Database for PostgreSQL server from VNet integration to a Private Link network model.

POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.DBforPostgreSQL/flexibleServers/{serverName}/migrateNetwork?api-version=2026-10-01

URI Parameters

Name In Required Type Description
resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

serverName
path True

string

minLength: 3
maxLength: 63
pattern: ^[a-zA-Z0-9]+(-[a-zA-Z0-9]+)*

The name of the server.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

MigrateNetworkStatus

The request has succeeded.

Headers

x-ms-request-id: string

202 Accepted

The request has been accepted for processing, but processing has not yet completed.

Headers

  • Azure-AsyncOperation: string
  • Location: string
  • Retry-After: integer
  • x-ms-request-id: string
Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Migrate server network configuration

Sample request

POST https://management.azure.com/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/exampleresourcegroup/providers/Microsoft.DBforPostgreSQL/flexibleServers/exampleserver/migrateNetwork?api-version=2026-10-01

Sample response

Azure-AsyncOperation: https://management.azure.com/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/providers/Microsoft.DBforPostgreSQL/locations/canadacentral/azureAsyncOperation/aaaaaaaa-aaaa-aaaa-aaaa-aaaaaaaaaaaa?api-version=2026-10-01
Location: https://management.azure.com/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/providers/Microsoft.DBforPostgreSQL/locations/canadacentral/operationResults/bbbbbbbb-bbbb-bbbb-bbbb-bbbbbbbbbbbb?api-version=2026-10-01
{
  "subscriptionId": "ffffffff-ffff-ffff-ffff-ffffffffffff",
  "resourceGroupName": "exampleresourcegroup",
  "serverName": "exampleserver"
}

Definitions

Name Description
ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

MigrateNetworkStatus

Status of a network migration operation.

NetworkMigrationState

State of the network migration operation.

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

MigrateNetworkStatus

Status of a network migration operation.

Name Type Description
resourceGroupName

string

Name of the resource group.

serverName

string

Name of the server.

state

NetworkMigrationState

State of the network migration operation.

subscriptionId

string

Identifier of the subscription.

NetworkMigrationState

State of the network migration operation.

Value Description
Pending

Network migration is pending.

InProgress

Network migration is in progress.

Succeeded

Network migration succeeded.

Failed

Network migration failed.

CancelInProgress

Network migration cancellation is in progress.

Cancelled

Network migration was cancelled.